Express 4 下使用 body-parser 报警告的解决方法

今天升级 Express 到 4.x,发现直接使用 body-parser 会提示 deprecated 警告

app.use(bodyParser());

提示如下:

body-parser deprecated bodyParser: use individual json/urlencoded middlewares app.js:14:9
body-parser deprecated undefined extended: provide extended option node_modules/body-parser/index.js:85:29

该警告在 Express 3.x 下不会发生,查找后发现在 stackoverflow 已有朋友发出解决方法拉:

app.use(bodyParser.json());
app.use(bodyParser.urlencoded({ extended: true }));
您可能还喜欢

发表评论

电子邮件地址不会被公开。 必填项已用*标注

Time limit is exhausted. Please reload CAPTCHA.